-- Criado por EAJS

-- Função para desenhar as sprites no HUD
local function DrawCustomHUD(v)
    -- Define a posição inicial (canto inferior direito)
    local startX = 320 - 32 * 3  -- 320 é a largura total da tela, 32 é o tamanho de cada sprite, 3 sprites
    local y = 200 - 32           -- 200 é a altura total da tela, 32 é o tamanho da sprite

    -- Desenha SPRBE0 (mola 1)
    v.drawScaled(startX * FRACUNIT, y * FRACUNIT, FRACUNIT/2, v.cachePatch("SPRBE0"), V_SNAPTOTOP|V_SNAPTOLEFT)
    -- Texto "C1" acima da SPRBE0
    v.drawString(startX + 8, y - 16, "C1", V_SNAPTOTOP|V_SNAPTOLEFT, "thin")
    -- Texto "-10 Rings" abaixo da SPRBE0 (reduzido pela metade)
    v.drawString(startX + -16, y + 0, "Free", V_SNAPTOTOP|V_SNAPTOLEFT, "small-thin")
	
    -- Desenha SPRYE0 (mola 2)
    v.drawScaled((startX + 32) * FRACUNIT, y * FRACUNIT, FRACUNIT/2, v.cachePatch("SPRYE0"), V_SNAPTOTOP|V_SNAPTOLEFT)
    -- Texto "C2" acima da SPRYE0
    v.drawString(startX + 40, y - 16, "C2", V_SNAPTOTOP|V_SNAPTOLEFT, "thin")
    -- Texto "-10 Rings" abaixo da SPRYE0 (reduzido pela metade)
    v.drawString(startX + 16, y + 0, "-5 Rings", V_SNAPTOTOP|V_SNAPTOLEFT, "small-thin")

    -- Desenha SPRRE0 (mola 3)
    v.drawScaled((startX + 64) * FRACUNIT, y * FRACUNIT, FRACUNIT/2, v.cachePatch("SPRRE0"), V_SNAPTOTOP|V_SNAPTOLEFT)
    -- Texto "C3" acima da SPRRE0
    v.drawString(startX + 72, y - 16, "C3", V_SNAPTOTOP|V_SNAPTOLEFT, "thin")
    -- Texto "-50 Rings" abaixo da SPRRE0 (reduzido pela metade)
    v.drawString(startX + 48, y + 0, "-25 Rings", V_SNAPTOTOP|V_SNAPTOLEFT, "small-thin")
end

-- Hooks para adicionar a função ao HUD
addHook("HUD", DrawCustomHUD)
